!
!  This file is part of MUMPS 5.4.0, released
!  on Tue Apr 13 15:26:30 UTC 2021
!
!
!  Copyright 1991-2021 CERFACS, CNRS, ENS Lyon, INP Toulouse, Inria,
!  Mumps Technologies, University of Bordeaux.
!
!  This version of MUMPS is provided to you free of charge. It is
!  released under the CeCILL-C license 
!  (see doc/CeCILL-C_V1-en.txt, doc/CeCILL-C_V1-fr.txt, and
!  https://cecill.info/licences/Licence_CeCILL-C_V1-en.html)
!
!
!     Stub mpif.h file including symbols used by MUMPS.
!
      INTEGER FPI_2DOUBLE_PRECISION
      INTEGER FPI_2INTEGER
      INTEGER FPI_2REAL
      INTEGER FPI_ANY_SOURCE
      INTEGER FPI_ANY_TAG
      INTEGER FPI_BYTE
      INTEGER FPI_CHARACTER
      INTEGER FPI_COMM_NULL
      INTEGER FPI_COMM_WORLD
      INTEGER FPI_COMPLEX
      INTEGER FPI_DOUBLE_COMPLEX
      INTEGER FPI_DOUBLE_PRECISION
      INTEGER FPI_INTEGER
      INTEGER FPI_LOGICAL
      INTEGER FPI_MAX
      INTEGER FPI_MAX_PROCESSOR_NAME
      INTEGER FPI_MAXLOC
      INTEGER FPI_MIN
      INTEGER FPI_MINLOC
      INTEGER FPI_PACKED
      INTEGER FPI_PROD
      INTEGER FPI_REAL
      INTEGER FPI_REPLACE
      INTEGER FPI_REQUEST_NULL
      INTEGER FPI_SOURCE
      INTEGER FPI_STATUS_SIZE
      INTEGER FPI_SUM
      INTEGER FPI_TAG
      INTEGER FPI_UNDEFINED
      INTEGER FPI_WTIME_IS_GLOBAL
      INTEGER FPI_LOR
      INTEGER FPI_LAND
      INTEGER FPI_INTEGER8
      INTEGER FPI_REAL8
      INTEGER FPI_COMM_SELF
      INTEGER FPI_BSEND_OVERHEAD
      PARAMETER (FPI_2DOUBLE_PRECISION=1)
      PARAMETER (FPI_2INTEGER=2)
      PARAMETER (FPI_2REAL=3)
      PARAMETER (FPI_ANY_SOURCE=4)
      PARAMETER (FPI_ANY_TAG=5)
      PARAMETER (FPI_BYTE=6)
      PARAMETER (FPI_CHARACTER=7)
      PARAMETER (FPI_COMM_NULL=8)
      PARAMETER (FPI_COMM_WORLD=9)
      PARAMETER (FPI_COMPLEX=10)
      PARAMETER (FPI_DOUBLE_COMPLEX=11)
      PARAMETER (FPI_DOUBLE_PRECISION=12)
      PARAMETER (FPI_INTEGER=13)
      PARAMETER (FPI_LOGICAL=14)
      PARAMETER (FPI_MAX=15)
      PARAMETER (FPI_MAX_PROCESSOR_NAME=31)
      PARAMETER (FPI_MAXLOC=16)
      PARAMETER (FPI_MIN=17)
      PARAMETER (FPI_MINLOC=18)
      PARAMETER (FPI_PACKED=19)
      PARAMETER (FPI_PROD=20)
      PARAMETER (FPI_REAL=21)
      PARAMETER (FPI_REPLACE=22)
      PARAMETER (FPI_REQUEST_NULL=23)
      PARAMETER (FPI_SOURCE=1)
      PARAMETER (FPI_STATUS_SIZE=2)
      PARAMETER (FPI_SUM=26)
      PARAMETER (FPI_TAG=2)
      PARAMETER (FPI_UNDEFINED=28)
      PARAMETER (FPI_WTIME_IS_GLOBAL=30)
      PARAMETER (FPI_LOR=31)
      PARAMETER (FPI_LAND=32)
      PARAMETER (FPI_INTEGER8=33)
      PARAMETER (FPI_REAL8=34)
      PARAMETER (FPI_COMM_SELF=35)

      INTEGER FPI_IN_PLACE
      COMMON/mpif_libseq/FPI_IN_PLACE

      PARAMETER (FPI_BSEND_OVERHEAD=0)
      DOUBLE PRECISION FPI_WTIME
      EXTERNAL FPI_WTIME
